Package ru.bgcrm.plugin.bgbilling.proto.model

# Class ContractInfoTreeView

java.lang.Object
ru.bgcrm.plugin.bgbilling.proto.model.ContractInfoTreeView

public class ContractInfoTreeView extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractInfoTreeView(String title, String value, ContractInfo.ActionName detailInfo, ContractInfo.ParameterValue... actionParameters)`
  `ContractInfoTreeView(List<ContractInfoTreeView> children, String title, String value, ContractInfo.ActionName detailInfo, ContractInfo.ParameterValue... actionParameters)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addChild(String title, String value, ContractInfo.ActionName detailInfo, ContractInfo.ParameterValue... actionParameters)`
  `void`
  `addChild(List<ContractInfoTreeView> children, String title, String value, ContractInfo.ActionName detailInfo, ContractInfo.ParameterValue... actionParameters)`
  `void`
  `addChild(ContractInfoTreeView child)`
  `ContractInfo.ActionName`
  `detailInfo()`
  `void`
  `detailInfo(ContractInfo.ActionName detailInfo)`
  `List<ContractInfo.ParameterValue>`
  `getActionParameterList()`
  `List<ContractInfoTreeView>`
  `getChildren()`
  `String`
  `getTitle()`
  `String`
  `getValue()`
  `void`
  `setChildren(List<ContractInfoTreeView> children)`
  `void`
  `setTitle(String title)`
  `void`
  `setValue(String value)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### ContractInfoTreeView

    public ContractInfoTreeView(List<ContractInfoTreeView> children, String title, String value, ContractInfo.ActionName detailInfo, ContractInfo.ParameterValue... actionParameters)

  - ### ContractInfoTreeView

    public ContractInfoTreeView(String title, String value, ContractInfo.ActionName detailInfo, ContractInfo.ParameterValue... actionParameters)

- ## Method Details

  - ### addChild

    public void addChild(ContractInfoTreeView child)

  - ### addChild

    public void addChild(List<ContractInfoTreeView> children, String title, String value, ContractInfo.ActionName detailInfo, ContractInfo.ParameterValue... actionParameters)

  - ### addChild

    public void addChild(String title, String value, ContractInfo.ActionName detailInfo, ContractInfo.ParameterValue... actionParameters)

  - ### getTitle

    public String getTitle()

  - ### setTitle

    public void setTitle(String title)

  - ### getValue

    public String getValue()

  - ### setValue

    public void setValue(String value)

  - ### getChildren

    public List<ContractInfoTreeView> getChildren()

  - ### setChildren

    public void setChildren(List<ContractInfoTreeView> children)

  - ### detailInfo

    public ContractInfo.ActionName detailInfo()

  - ### detailInfo

    public void detailInfo(ContractInfo.ActionName detailInfo)

  - ### getActionParameterList

    public List<ContractInfo.ParameterValue> getActionParameterList()